package service

import (
	"bytes"
	"encoding/json"
	"fmt"
	"gdyb/models"
	"io/ioutil"
	"net/http"
	//"strconv"
	"time"


)

func GetAHCFYLJG001(org_name string, opera string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, url string, cFYLJG001 models.CFYLJG001, isu string, cainfo string) (string, string) {
	// 生成签名
	timestamp := time.Now().Unix()
	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")

	// 生成输入报文
	inputMessage := SetAHInputMessage(timestamp, org_name, opera, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs, cainfo)
	inputData := make(map[string]interface{}, 0)
	inputData["mdtrtCertType"] = cFYLJG001.MdtrtCertType
	inputData["mdtrtCertNo"] = cFYLJG001.MdtrtCertNo
	inputData["cardSn"] = cFYLJG001.CardSn
	inputData["bizTypeCode"] = cFYLJG001.BizTypeCode
	inputData["rxExraAttrCode"] = ""
	inputData["ecToken"] = cFYLJG001.EcToken
	inputData["authNo"] = cFYLJG001.AuthNo
	inputData["insuPlcNo"] = ""
	inputData["mdtrtareaNo"] = ""
	inputData["hospRxno"] = cFYLJG001.HospRxno
	inputData["initRxno"] = cFYLJG001.InitRxno
	inputData["rxTypeCode"] = cFYLJG001.RxTypeCode
	inputData["prscTime"] = cFYLJG001.PrscTime
	inputData["rxDrugCnt"] = cFYLJG001.RxDrugCnt
	inputData["rxUsedWayCodg"] = cFYLJG001.RxUsedWayCodg
	inputData["rxUsedWayName"] = cFYLJG001.RxUsedWayName
	inputData["rxFrquCodg"] = cFYLJG001.RxFrquCodg
	inputData["rxFrquName"] = cFYLJG001.RxFrquName
	inputData["rxDosunt"] = cFYLJG001.RxDosunt
	inputData["rxDoscnt"] = cFYLJG001.RxDoscnt
	inputData["rxDrordDscr"] = cFYLJG001.RxDrordDscr
	inputData["valiDays"] = cFYLJG001.ValiDays
	inputData["valiEndTime"] = cFYLJG001.ValiEndTime
	inputData["reptFlag"] = cFYLJG001.ReptFlag

	inputData["maxReptCnt"] = cFYLJG001.MaxReptCnt
	inputData["minInrvDays"] = cFYLJG001.MinInrvDays
	inputData["rxCotnFlag"] = cFYLJG001.RxCotnFlag
	inputData["longRxFlag"] = cFYLJG001.LongRxFlag

	//inputData["reptd_cnt"] = cFYLJG001.ReptdCnt
	//inputData["mdtrtareaNo"] = cFYLJG001.MdtrtareaNo

	rxdrugdetail := make([]map[string]interface{}, 0)

	rxdrug := make(map[string]interface{})
	for _, item := range cFYLJG001.List {
		rxdrug["medListCodg"] = item.MedListCodg
		rxdrug["fixmedinsHilistId"] = item.MedinsListCodg
		rxdrug["hospPrepFlag"] = item.HospPrepFlag
		rxdrug["rxItemTypeCode"] = item.RxItemTypeCode
		rxdrug["rxItemTypeName"] = item.RxItemTypeName
		rxdrug["tcmdrugTypeName"] = item.TcmdrugTypeName
		rxdrug["tcmdrugTypeCode"] = item.TcmdrugTypeCode
		rxdrug["tcmherbFoote"] = item.TcmherbFoote

		rxdrug["mednTypeCode"] = item.MednTypeCode
		rxdrug["mednTypeName"] = item.MednTypeName
		rxdrug["mainMedcFlag"] = item.MainMedcFlag

		rxdrug["urgtFlag"] = item.UrgtFlag
		rxdrug["basMednFlag"] = item.BasMednFlag
		rxdrug["impDrugFlag"] = item.ImpDrugFlag
		rxdrug["otcFlag"] = ""
		rxdrug["drugGenname"] = item.DrugGenname
		rxdrug["drugDosform"] = item.DrugDosform
		rxdrug["drugSpec"] = item.DrugSpec
		rxdrug["drugProdname"] = item.DrugProdname
		rxdrug["prdrName"] = item.PrdrName
		rxdrug["medcWayCodg"] = item.MedcWayCodg
		rxdrug["medcWayDscr"] = item.MedcWayDscr
		rxdrug["medcBegntime"] = item.MedcBegntime
		rxdrug["medcEndtime"] = item.MedcEndtime
		rxdrug["medcDays"] = item.MedcDays
		rxdrug["sinDosunt"] = item.SinDosunt
		rxdrug["sinDoscnt"] = item.SinDoscnt
		rxdrug["usedFrquCodg"] = item.UsedFrquCodg
		rxdrug["usedFrquName"] = item.UsedFrquName
		rxdrug["drugDosunt"] = item.DrugDosunt
		rxdrug["drugCnt"] = item.DrugCnt
		rxdrug["drugPric"] = item.DrugPric
		rxdrug["drugSumamt"] = item.DrugSumamt
		rxdrug["hospApprFlag"] = item.HospApprFlag

		rxdrug["selfPayRea"] = ""
		rxdrug["realDscr"] = ""

		//rxdrug["genname_codg"] = item.GennameCodg
		//rxdrug["drug_totlcnt"] = item.DrugTotlcnt
		//rxdrug["drug_totlcnt_emp"] = item.DrugTotlcntEmp
		rxdrug["extras"] = ""
		rxdrugdetail = append(rxdrugdetail, rxdrug)
	}
	inputData["rxdrugdetail"] = rxdrugdetail

	mdtrtinfo := make(map[string]interface{})
	mdtrtinfo["fixmedinsCode"] = cFYLJG001.Mdtrtinfo.FixmedinsCode
	mdtrtinfo["fixmedinsName"] = cFYLJG001.Mdtrtinfo.FixmedinsName
	mdtrtinfo["mdtrtId"] = cFYLJG001.Mdtrtinfo.MdtrtID
	mdtrtinfo["medType"] = cFYLJG001.Mdtrtinfo.MedType
	mdtrtinfo["iptOtpNo"] = cFYLJG001.Mdtrtinfo.IptOtpNo
	mdtrtinfo["otpIptFlag"] = cFYLJG001.Mdtrtinfo.OtpIptFlag
	mdtrtinfo["psnNo"] = cFYLJG001.Mdtrtinfo.PsnNo
	mdtrtinfo["patnName"] = cFYLJG001.Mdtrtinfo.PatnName
	mdtrtinfo["psnCertType"] = cFYLJG001.Mdtrtinfo.PsnCertType
	mdtrtinfo["certno"] = cFYLJG001.Mdtrtinfo.Certno
	mdtrtinfo["patnAge"] = cFYLJG001.Mdtrtinfo.PatnAge
	mdtrtinfo["patnHgt"] = cFYLJG001.Mdtrtinfo.PatnHgt
	mdtrtinfo["patnWt"] = cFYLJG001.Mdtrtinfo.PatnWt
	mdtrtinfo["gend"] = cFYLJG001.Mdtrtinfo.Gend
	mdtrtinfo["birctrlType"] = cFYLJG001.Mdtrtinfo.BirctrlType
	mdtrtinfo["birctrlMatnDate"] = cFYLJG001.Mdtrtinfo.BirctrlMatnDate
	mdtrtinfo["matnType"] = cFYLJG001.Mdtrtinfo.MatnType
	mdtrtinfo["gesoVal"] = cFYLJG001.Mdtrtinfo.GesoVal
	mdtrtinfo["nwbFlag"] = cFYLJG001.Mdtrtinfo.NwbFlag
	mdtrtinfo["nwbAge"] = cFYLJG001.Mdtrtinfo.NwbAge
	mdtrtinfo["suckPrdFlag"] = cFYLJG001.Mdtrtinfo.SuckPrdFlag
	mdtrtinfo["algsHis"] = cFYLJG001.Mdtrtinfo.AlgsHis
	mdtrtinfo["prscDeptName"] = cFYLJG001.Mdtrtinfo.PrscDeptName
	mdtrtinfo["prscDeptCode"] = cFYLJG001.Mdtrtinfo.PrscDeptCode
	mdtrtinfo["drCode"] = cFYLJG001.Mdtrtinfo.DrCode
	mdtrtinfo["prscDrName"] = cFYLJG001.Mdtrtinfo.PrscDrName
	mdtrtinfo["prscDrCertType"] = cFYLJG001.Mdtrtinfo.PrscDrCertType
	mdtrtinfo["prscDrCertno"] = cFYLJG001.Mdtrtinfo.PrscDrCertno
	mdtrtinfo["drProfttlCodg"] = cFYLJG001.Mdtrtinfo.DrProfttlCodg
	mdtrtinfo["drProfttlName"] = cFYLJG001.Mdtrtinfo.DrProfttlName
	mdtrtinfo["drDeptCode"] = cFYLJG001.Mdtrtinfo.DrDeptCode
	mdtrtinfo["drDeptName"] = cFYLJG001.Mdtrtinfo.DrDeptName
	mdtrtinfo["caty"] = cFYLJG001.Mdtrtinfo.Caty
	mdtrtinfo["mdtrtTime"] = cFYLJG001.Mdtrtinfo.MdtrtTime
	mdtrtinfo["diseCodg"] = cFYLJG001.Mdtrtinfo.DiseCodg
	mdtrtinfo["diseName"] = cFYLJG001.Mdtrtinfo.DiseName
	mdtrtinfo["spDiseFlag"] = cFYLJG001.Mdtrtinfo.SpDiseFlag
	mdtrtinfo["maindiagCode"] = cFYLJG001.Mdtrtinfo.MaindiagCode
	mdtrtinfo["maindiagName"] = cFYLJG001.Mdtrtinfo.MaindiagName
	mdtrtinfo["diseCondDscr"] = cFYLJG001.Mdtrtinfo.DiseCondDscr
	mdtrtinfo["hiFeesetlType"] = cFYLJG001.Mdtrtinfo.HiFeesetlFlag
	mdtrtinfo["hiFeesetlName"] = cFYLJG001.Mdtrtinfo.HiFeesetlName
	mdtrtinfo["rgstFee"] = cFYLJG001.Mdtrtinfo.RgstFee
	mdtrtinfo["medfeeSumamt"] = cFYLJG001.Mdtrtinfo.MedfeeSumamt
	mdtrtinfo["fstdiagFlag"] = cFYLJG001.Mdtrtinfo.FstdiagFlag
	type MyData struct {
		Insutype string `json:"insutype"`
	}
	data := MyData{
		Insutype: isu,
	}

	mdtrtinfo["extras"] = data
	inputData["mdtrtinfo"] = mdtrtinfo

	diseinfos := make([]map[string]interface{}, 0)

	for _, item := range cFYLJG001.Diseinfo {
		diseinfo := make(map[string]interface{})
		diseinfo["diagType"] = item.DiagType
		diseinfo["maindiagFlag"] = item.MaindiagFlag
		diseinfo["diagSrtNo"] = item.DiagSrtNo
		diseinfo["diagCode"] = item.DiagCode
		diseinfo["diagName"] = item.DiagName
		diseinfo["diagDept"] = item.DiagDept
		diseinfo["diagDeptCode"] = ""

		diseinfo["diagDrNo"] = item.DiagDrNo
		diseinfo["diagDrName"] = item.DiagDrName
		diseinfo["diagTime"] = item.DiagTime
		diseinfo["tcmDiseCode"] = item.TcmDiseCode
		diseinfo["tcmDiseName"] = item.TcmDiseName
		diseinfo["tcmsympCode"] = item.TcmsympCode
		diseinfo["tcmsymp"] = item.Tcmsymp
		diseinfos = append(diseinfos, diseinfo)
	}
	inputData["diseinfo"] = diseinfos

	inputMessage["input"] = inputData
	argInputMessage := make(map[string]interface{})
	argInputMessage["arg0"] = inputMessage

	var inputLog string
	bytesData, err := json.Marshal(argInputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	url = url + "7101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, inputLog

}

func GetAHCFYLJG002(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, url string, original_value string, original_rx_file string, extras string, cainfo string) (string, string) {
	// 生成签名
	timestamp := time.Now().Unix()
	// 生成输入报文
	inputMessage := SetAHInputMessage(timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs, cainfo)

	inputData := make(map[string]interface{})
	inputDatas := make(map[string]interface{})

	inputMessage["infno"] = "7102"
	inputData["fixmedinsCode"] = fixmedins_code
	inputData["originalValue"] = original_value
	inputData["originalRxFile"] = original_rx_file
	inputData["extras"] = extras
	inputDatas["data"] = inputData
	inputMessage["input"] = inputDatas
	argInputMessage := make(map[string]interface{})
	argInputMessage["arg0"] = inputMessage
	var inputLog string
	bytesData, err := json.Marshal(argInputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	url = url + "7102"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, inputLog

}

func GetAHCFYLJG003(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, url string, cFYLJG003 models.CFYLJG003, cainfo string) (string, string) {
	//生成签名
	timestamp := time.Now().Unix()
	// 生成输入报文
	inputMessage := SetAHInputMessage(timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs, cainfo)

	inputData := make(map[string]interface{})
	inputData2 := make(map[string]interface{})

	inputMessage["infno"] = "7103"

	inputData["rxTraceCode"] = cFYLJG003.RxTraceCode
	inputData["hiRxno"] = cFYLJG003.HiRxno
	inputData["mdtrtId"] = cFYLJG003.MdtrtID
	inputData["patnName"] = cFYLJG003.PatnName
	inputData["psnCertType"] = cFYLJG003.PsnCertType
	inputData["certno"] = cFYLJG003.Certno
	inputData["fixmedinsName"] = cFYLJG003.FixmedinsName
	inputData["fixmedinsCode"] = cFYLJG003.FixmedinsCode
	inputData["drCode"] = cFYLJG003.DrCode
	inputData["prscDrName"] = cFYLJG003.PrscDrName
	inputData["pharDeptName"] = cFYLJG003.PharDeptName
	inputData["pharDeptCode"] = cFYLJG003.PharDeptCode
	inputData["pharProfttlCodg"] = cFYLJG003.PharProfttlCodg
	inputData["pharProfttlName"] = cFYLJG003.PharProfttlName
	inputData["pharCode"] = cFYLJG003.PharCode
	inputData["pharCertType"] = cFYLJG003.PsnCertType
	inputData["pharCertno"] = cFYLJG003.PharCertno
	inputData["pharName"] = cFYLJG003.PharName
	inputData["pharPracCertNo"] = cFYLJG003.PharPracCertNo
	inputData["pharChkTime"] = cFYLJG003.PharChkTime
	inputData["rxFile"] = cFYLJG003.RxFile
	inputData["signDigest"] = cFYLJG003.SignDigest
	inputData["extras"] = ""

	//inputData["rx_frqu_name"] = cFYLJG003.RxFrquName
	inputData2["data"] = inputData
	inputMessage["input"] = inputData2
	var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	url = url + "7102"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, inputLog

}

func GetAHCFYLJG004(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, url string, cFYLJG004 models.CFYLJG004, cainfo string) (string, string) {
	// 生成签名
	timestamp := time.Now().Unix()
	// 生成输入报文
	inputMessage := SetAHInputMessage(timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs, cainfo)

	inputData := make(map[string]interface{})
	inputData1 := make(map[string]interface{})
	//inputDatas := make([]map[string]interface{}, 0)
	inputMessage["infno"] = "7104"
	inputData["hiRxno"] = cFYLJG004.HiRxno
	inputData["fixmedinsCode"] = cFYLJG004.FixmedinsCode
	inputData["drCode"] = cFYLJG004.UndoDrCode
	inputData["undoDrName"] = cFYLJG004.UndoDrName
	inputData["undoDrCertType"] = cFYLJG004.UndoDrCertType
	inputData["undoDrCertno"] = cFYLJG004.UndoDrCertno
	inputData["undoRea"] = cFYLJG004.UndoRea
	inputData["undoTime"] = cFYLJG004.UndoTime
	inputData1["data"] = inputData
	inputMessage["input"] = inputData1
	argInputMessage := make(map[string]interface{})
	argInputMessage["arg0"] = inputMessage
	var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	url = url + "CFYLJG004"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	//request.Header.Set("x-tif-paasid", gdyb_paasid)
	//request.Header.Set("x-tif-signature", signature)
	//request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	//request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, inputLog

}

//func GetAHCFYLJG005(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, cFYLJG005 models.CFYLJG005, cainfo string) (string, string) {
//	//生成签名
//	nonce := GetRandomString(32)
//	timestamp := time.Now().Unix()
//	//signature := setSignature(timestamp, nonce, secret_key)
//	//生成输入报文
//	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
//
//	inputData := make(map[string]interface{})
//
//	inputData2 := make(map[string]interface{})
//	//inputDatas := make([]map[string]interface{}, 0)
//	inputMessage["infno"] = "7105"
//	inputData["fixmedinsCode"] = fixmedins_code
//	inputData["hiRxno"] = cFYLJG005.HiRxno
//	inputData["mdtrtId"] = cFYLJG005.MdtrtID
//	inputData["psnName"] = cFYLJG005.PsnName
//	inputData["psnCertType"] = cFYLJG005.PsnCertType
//	inputData["certno"] = cFYLJG005.Certno
//	inputData2["data"] = inputData
//	inputMessage["input"] = inputData2
//	argInputMessage := make(map[string]interface{})
//	argInputMessage["arg0"] = inputMessage
//	var inputLog string
//	bytesData, err := json.Marshal(inputMessage)
//	inputLog = string(bytesData)
//	fmt.Println(string(bytesData))
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	reader := bytes.NewReader(bytesData)
//
//	var url string
//
//	url = url + "7105"
//
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
//	request, err := http.NewRequest("POST", url, reader)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//
//	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
//	client := http.Client{}
//	resp, err := client.Do(request)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	respBytes, err := ioutil.ReadAll(resp.Body)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	fmt.Println(string(respBytes))
//	str := string(respBytes)
//	return str, inputLog
//
//}
//func GetAHCFYLJG006(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, cFYLJG006 models.CFYLJG006) (string, string) {
//	//生成签名
//	nonce := GetRandomString(32)
//	timestamp := time.Now().Unix()
//	signature := setSignature(timestamp, nonce, secret_key)
//	//生成输入报文
//	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
//	inputData := make(map[string]interface{})
//	//inputDatas := make([]map[string]interface{}, 0)
//	inputData2 := make(map[string]interface{})
//
//	inputMessage["infno"] = "CFYLJG006"
//	inputData["fixmedinsCode"] = fixmedins_code
//	inputData["hiRxno"] = cFYLJG006.HiRxno
//	inputData["mdtrtId"] = cFYLJG006.MdtrtID
//	inputData["psnName"] = cFYLJG006.PsnName
//	inputData["psnCertType"] = cFYLJG006.PsnCertType
//	inputData["certno"] = cFYLJG006.Certno
//	inputData2["data"] = inputData
//	inputMessage["input"] = inputData2
//	var inputLog string
//	bytesData, err := json.Marshal(inputMessage)
//	inputLog = string(bytesData)
//	fmt.Println(string(bytesData))
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	reader := bytes.NewReader(bytesData)
//	gdyb_url := beego.AppConfig.String("gdyb_url")
//	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
//
//	var url string
//	if fixmedins_code == "H15049901371" {
//		url = gdyb_url
//	} else {
//		url = gdyb_url + "CFYLJG006"
//	}
//
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
//	request, err := http.NewRequest("POST", url, reader)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//
//	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
//	request.Header.Set("x-tif-paasid", gdyb_paasid)
//	request.Header.Set("x-tif-signature", signature)
//	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
//	request.Header.Set("x-tif-nonce", nonce)
//
//	client := http.Client{}
//	resp, err := client.Do(request)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	respBytes, err := ioutil.ReadAll(resp.Body)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	fmt.Println(string(respBytes))
//	str := string(respBytes)
//	return str, inputLog
//
//}
//func GetAHCFYLJG007(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, cFYLJG007 models.CFYLJG007) (string, string) {
//	//生成签名
//	nonce := GetRandomString(32)
//	timestamp := time.Now().Unix()
//	signature := setSignature(timestamp, nonce, secret_key)
//	//生成输入报文
//	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
//	inputData := make(map[string]interface{})
//	inputData2 := make(map[string]interface{})
//
//	//inputDatas := make([]map[string]interface{}, 0)
//
//	inputMessage["infno"] = "CFYLJG007"
//
//	inputData["fixmedinsCode"] = fixmedins_code
//	inputData["hiRxno"] = cFYLJG007.HiRxno
//	inputData["mdtrtId"] = cFYLJG007.MdtrtID
//	inputData["psnCertType"] = cFYLJG007.PsnCertType
//	inputData["certno"] = cFYLJG007.Certno
//	inputData["psnName"] = cFYLJG007.PsnName
//
//	inputData2["data"] = inputData
//
//	inputMessage["input"] = inputData2
//	var inputLog string
//	bytesData, err := json.Marshal(inputMessage)
//	inputLog = string(bytesData)
//	fmt.Println(string(bytesData))
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	reader := bytes.NewReader(bytesData)
//	gdyb_url := beego.AppConfig.String("gdyb_url")
//	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
//
//	var url string
//	if fixmedins_code == "H15049901371" {
//		url = gdyb_url
//	} else {
//		url = gdyb_url + "CFYLJG007"
//	}
//
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
//	request, err := http.NewRequest("POST", url, reader)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//
//	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
//	request.Header.Set("x-tif-paasid", gdyb_paasid)
//	request.Header.Set("x-tif-signature", signature)
//	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
//	request.Header.Set("x-tif-nonce", nonce)
//
//	client := http.Client{}
//	resp, err := client.Do(request)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	respBytes, err := ioutil.ReadAll(resp.Body)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	fmt.Println(string(respBytes))
//	str := string(respBytes)
//	return str, inputLog
//
//}

//func GetAHCFYLJG008(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, cFYLJG008 models.CFYLJG008) (string, string) {
//	//生成签名
//	nonce := GetRandomString(32)
//	timestamp := time.Now().Unix()
//	signature := setSignature(timestamp, nonce, secret_key)
//	//生成输入报文
//	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
//	inputData := make(map[string]interface{})
//	//inputData2 := make(map[string]interface{})
//
//	//inputDatas := make([]map[string]interface{}, 0)
//
//	inputMessage["infno"] = "CFYLJG008"
//
//	inputData["pageNum"] = cFYLJG008.PageNum
//	inputData["pageSize"] = cFYLJG008.PageSize
//	inputData["orderType"] = cFYLJG008.OrderType
//	inputData["poolareaNo"] = cFYLJG008.PoolareaNo
//	inputData["fixmedinsName"] = cFYLJG008.FixmedinsName
//	inputData["lng"] = cFYLJG008.Lng
//	inputData["lat"] = cFYLJG008.Lat
//	inputData["medinsProdInvChgDDTOList"] = cFYLJG008.MedList
//
//	inputMessage["input"] = inputData
//	var inputLog string
//	bytesData, err := json.Marshal(inputMessage)
//	inputLog = string(bytesData)
//	fmt.Println(string(bytesData))
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	reader := bytes.NewReader(bytesData)
//	gdyb_url := beego.AppConfig.String("gdyb_url")
//	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
//
//	var url string
//	if fixmedins_code == "H15049901371" {
//		url = gdyb_url
//	} else {
//		url = gdyb_url + "CFYLJG007"
//	}
//
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
//	request, err := http.NewRequest("POST", url, reader)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//
//	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
//	request.Header.Set("x-tif-paasid", gdyb_paasid)
//	request.Header.Set("x-tif-signature", signature)
//	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
//	request.Header.Set("x-tif-nonce", nonce)
//
//	client := http.Client{}
//	resp, err := client.Do(request)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	respBytes, err := ioutil.ReadAll(resp.Body)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error(), ""
//	}
//	fmt.Println(string(respBytes))
//	str := string(respBytes)
//	return str, inputLog
//
//}
